<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\PdfListen\TnListen\PrintTnListen;

class MaPrintTnListenBySettingsUseCase extends \Kufer\KuferTools\Basis\PdfListen\TnListen\PrintTnListen\PrintTnListenBySettingsUseCase
{
  public static function getToolSectionId()
  {
    return 243;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSPLANUNG_MA;
  }

  protected function getNachrichtAnVhsVersenden(): \Kufer\KuferTools\Basis\PdfListen\DruckListenAllgemein\NachrichtAnVHSVersenden
  {
    return new \Kufer\KuferTools\Mitarbeiter\KursUebersicht\PdfListen\DruckListenAllgemein\NachrichtAnVHSVersenden();
  }
}